commit:     83e4c0a4f5514e81aabea05918584e0c7051634e
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 26 13:25:10 2023 +0000
Commit:     罗百科 <patrick <AT> gentoo <DOT> org>
CommitDate: Tue Sep 26 13:25:28 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83e4c0a4

dev-db/timescaledb: add 2.12.0

Signed-off-by: Patrick Lauer <patrick <AT> gentoo.org>

 dev-db/timescaledb/Manifest                  |  1 +
 dev-db/timescaledb/timescaledb-2.12.0.ebuild | 67 ++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-db/timescaledb/Manifest b/dev-db/timescaledb/Manifest
index 4f65d0c3336e..fdb2192c0252 100644
--- a/dev-db/timescaledb/Manifest
+++ b/dev-db/timescaledb/Manifest
@@ -1,3 +1,4 @@
 DIST timescaledb-2.10.3.tar.gz 7465897 BLAKE2B 
2a70e281738fac63cd3b5c753f82a7e8faf162c015ad87b1cb3b24558d70e042bb16281b32a931fbb4daae280bede40bc239de8e8b3228c2571da33d4e5975ec
 SHA512 
c94227d9aa1df36634bbf2626f580165860cab543efbfeb448f9799cf70ef6c1891af0077c2280ae22dbfb2360cf2b6012e7f05c26b0cf7aef6eb217c583b444
 DIST timescaledb-2.11.1.tar.gz 7723360 BLAKE2B 
a45f7a4466397b47e0a07cf9af388fa6c6ccbfd98d62a038159eafab74ba0c58b8891ebc52a82e9694f103cb48992c9b78c0b6f377c6ae7832fe8740c42d9bbf
 SHA512 
e29a378bfe1e5bb72d6d9bd430b972d1e14cf2345f2599559f73075146fd8c5839f08459880681140eff607b152671beeb1876bf509008ad2b653d258eb356b8
 DIST timescaledb-2.11.2.tar.gz 7728399 BLAKE2B 
389b9920b427edc9651638ed3a9e948277997accb0ef875cf6c41801c344e3d109d67d4da89abceb6e52429ee76448932da02cb95df8fa606359ccfc93818cda
 SHA512 
eb7a631c0c4f25d4faa6b24cd00185ac34a40590aecedfeadb852dbb9123e2a3e07d6a8b4c9a37861b8ef107891498f13e83a8776340e199ab9a0f1f15a35b05
+DIST timescaledb-2.12.0.tar.gz 7510785 BLAKE2B 
9b94831988832e04943d69a6d1727a84f8e3d0f59e5db11cdba5cfdd9975e1e932e1df7f9b753ae73b70c3fb503fe92e057f8747a0ec21b7cd36abb4e524c022
 SHA512 
74d2c73c2c1c5c62d0681adee807c229c6c0454570f625eac4d999a8bcf9292ebc6424d9de084a7826a55e9721d6262fa2e12972185765285c0877cab1f15fd2

diff --git a/dev-db/timescaledb/timescaledb-2.12.0.ebuild 
b/dev-db/timescaledb/timescaledb-2.12.0.ebuild
new file mode 100644
index 000000000000..5941e85afbb1
--- /dev/null
+++ b/dev-db/timescaledb/timescaledb-2.12.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+POSTGRES_COMPAT=( 13 14 15 )
+POSTGRES_USEDEP="ssl"
+
+inherit postgres-multi cmake
+
+DESCRIPTION="Open-source time-series SQL database"
+HOMEPAGE="https://www.timescale.com/";
+SRC_URI="https://github.com/timescale/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+IUSE="proprietary-extensions"
+LICENSE="POSTGRESQL Apache-2.0 proprietary-extensions? ( timescale )"
+
+KEYWORDS="~amd64"
+
+SLOT=0
+
+RESTRICT="test"
+
+DEPEND="${POSTGRES_DEP}"
+RDEPEND="${DEPEND}"
+
+CMAKE_IN_SOURCE_BUILD=yes
+CMAKE_BUILD_TYPE="RelWithDebInfo"
+BUILD_DIR=${WORKDIR}/${P}
+
+src_prepare() {
+       postgres-multi_src_prepare
+       postgres-multi_foreach cmake_src_prepare
+}
+
+timescale_configure() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       local mycmakeargs=( 
"-DPG_CONFIG=/usr/bin/pg_config${MULTIBUILD_VARIANT}" "-DREGRESS_CHECKS=OFF" )
+
+       # licensing is tied to features, this useflag disables the non-apache2 
licensed bits
+       if ! use proprietary-extensions ; then
+               mycmakeargs+=("-DAPACHE_ONLY=ON")
+       fi
+       cmake_src_configure
+}
+
+src_configure() {
+       postgres-multi_foreach timescale_configure
+}
+
+timescale_src_compile() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       cmake_src_compile
+}
+
+src_compile() {
+       postgres-multi_foreach timescale_src_compile
+}
+
+timescale_src_install() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       cmake_src_install
+}
+
+src_install() {
+       postgres-multi_foreach timescale_src_install
+}

Reply via email to